### Method

# EBook BookClientCursor step_finish

since: 3.12

#### Declaration [src]

    gint
    e_book_client_cursor_step_finish (
      EBookClientCursor* cursor,
      GAsyncResult* result,
      GSList** out_contacts,
      GError** error
    )

#### Description [src]

Completes an asynchronous call initiated by e_book_client_cursor_step(), fetching any contacts which might have been returned by the call.

Available since: 3.12

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`out_contacts`

  Type: A list of `EContact*`

  Return location for a `GSList` of `EContact`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

The number of contacts traversed if successful, otherwise -1 is returned and `error` is set.